changeset 623:993f06e5d9fd

Extended the build script to detect whether to call "make release" or just "make". git-svn-id: svn://svn.code.sf.net/p/universalindent/code/trunk@882 59b1889a-e5ac-428c-b0c7-476e01d41282
author thomas_-_s <thomas_-_s@59b1889a-e5ac-428c-b0c7-476e01d41282>
date Wed, 29 Oct 2008 16:22:37 +0000
parents 1383cb564ae5
children 81b871430bd6
files buildRelease.sh
diffstat 1 files changed, 14 insertions(+), 3 deletions(-) [+]
line wrap: on
line diff
--- a/buildRelease.sh	Wed Oct 29 16:18:29 2008 +0000
+++ b/buildRelease.sh	Wed Oct 29 16:22:37 2008 +0000
@@ -252,13 +252,18 @@
 ###################### binary release begin ########################
 
 if [ -d "release" ] && [ "$COMPLETEREBUILD" = "true" ]; then
-    echo "Cleaning up release dirs"
-    echo "------------------------"
+    echo "Cleaning up release dirs and deleting makefiles"
+    echo "-----------------------------------------------"
     rm -r release &> /dev/null
     if [ $? -gt 0 ]; then
         echo "ERROR: Could not delete release dir!"
         exit 1
     fi
+    rm Makefile* &> /dev/null
+    if [ $? -gt 0 ]; then
+        echo "ERROR: Could not delete the makefiles!"
+        exit 1
+    fi
     echo "Done"
     echo ""
 fi
@@ -276,7 +281,13 @@
 
 echo "Calling make release"
 echo "--------------------"
-make --silent
+if [ -f "Makefile.Release" ]; then
+    echo "calling \"make release --silent\""
+    make release --silent
+else
+    echo "calling \"make --silent\""
+    make --silent
+fi
 if [ $? -gt 0 ]; then
     echo "ERROR: Calling make release failed!"
     exit 1